# Uses of Class
org.eclipse.emf.cdo.common.util.CDOResourceNodeNotFoundException

Packages that use CDOResourceNodeNotFoundException
Package
Description
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.

## Uses of CDOResourceNodeNotFoundException in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction that throw CDOResourceNodeNotFoundException
Modifier and Type
Method
Description
`CDOResourceFolder`
CDOTransaction.`createResourceFolder(String path)`
`CDOBinaryResource`
CDOPushTransaction.`getBinaryResource(String path)`
`CDOResource`
CDOPushTransaction.`getResource(String path)`
`CDOResource`
CDOPushTransaction.`getResource(String path, boolean loadOnDemand)`
`CDOResourceFolder`
CDOPushTransaction.`getResourceFolder(String path)`
`CDOResourceNode`
CDOPushTransaction.`getResourceNode(String path)`
`CDOTextResource`
CDOPushTransaction.`getTextResource(String path)`

## Uses of CDOResourceNodeNotFoundException in org.eclipse.emf.cdo.view

Methods in org.eclipse.emf.cdo.view that throw CDOResourceNodeNotFoundException
Modifier and Type
Method
Description
`CDOBinaryResource`
CDOView.`getBinaryResource(String path)`
`CDOResource`
CDOView.`getResource(String path)`
Same as `getResource(String, true)`.
`CDOResource`
CDOView.`getResource(String path, boolean loadOnDemand)`
`CDOResourceFolder`
CDOView.`getResourceFolder(String path)`
`CDOResourceNode`
CDOView.`getResourceNode(String path)`
Returns the resource node with the given path.
`CDOTextResource`
CDOView.`getTextResource(String path)`